Bug 86000 - Can't print to HP 2200LJ Network printer
Can't print to HP 2200LJ Network printer
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: printconf (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-11 19:26 EST by Stephen Rasku
Modified: 2007-04-18 12:51 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-12 12:18:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Rasku 2003-03-11 19:26:01 EST
Description of problem:

The printer is connected to a Windows NT print server.  I am able to print to it
from my windows machine which is connected to the same network.  I can't print
from my Linux box.

Version-Release number of selected component (if applicable):

printconf-0.3.77-1

How reproducible:

100%

Steps to Reproduce:

From printconf:
1. Select "Edit" button
2. Select HP | LaserJet 2200 | PostScript driver
3. Click "OK"
4. Click "Apply"
5. Select Test | US Letter PostScript Testpage
6. Wait in vain for output
7. Select next driver and goto step 3.
    
Actual results:

[root@playa stephen]# lpq
Printer: SMBprinter@localhost
 Queue: no printable jobs in queue
 Server: no server active
 Status: keeping error job 'root@localhost+887' at 16:07:53.243
 Rank   Owner/ID                  Class Job Files                 Size Time
error  root@localhost+887           A   887 ERROR: job removal requested

Expected results:

Test page should be printed.
Comment 1 Tim Waugh 2003-03-12 06:03:47 EST
Please attach the output of 'printconf-tui --Xexport'.
Comment 2 Stephen Rasku 2003-03-12 11:47:01 EST
Voila:

<?xml version="1.0"?>
<adm_context VERSION="0">
  <id NAME="local" SERIAL="1047427634">
    <null/>
    <null/>
    </id>
  <datatree>
    <printconf TYPE="LIST">
      <print_queues TYPE="LIST">
        <SMBprinter ATOMIC="TRUE" TYPE="LIST">
          <alias_list ANONYMOUS="TRUE" TYPE="LIST">
            </alias_list>
          <queue_type TYPE="STRING" VALUE="SMB"/>
          <queue_data TYPE="LIST">
            <smb_share TYPE="STRING" VALUE="HPLJ-2200"/>
            <smb_ip TYPE="STRING" VALUE="192.168.100.8"/>
            <smb_workgroup TYPE="STRING" VALUE=""/>
            <smb_user TYPE="STRING" VALUE="Administrator"/>
            <smb_password TYPE="STRING" VALUE=""/>
            <smb_translate TYPE="BOOL" VALUE="TRUE"/>
            </queue_data>
          <filter_data TYPE="LIST">
            <print_header_page TYPE="BOOL" VALUE="FALSE"/>
            <flags TYPE="LIST">
              <send_FF TYPE="BOOL" VALUE="FALSE"/>
              <assume_data_is_text TYPE="BOOL" VALUE="FALSE"/>
              <rerender_Postscript TYPE="BOOL" VALUE="FALSE"/>
              <convert_text_to_Postscript TYPE="BOOL" VALUE="FALSE"/>
              <send_EOT TYPE="BOOL" VALUE="FALSE"/>
              </flags>
            <mf_type TYPE="STRING" VALUE="MFOMATIC"/>
            <filter_locale TYPE="STRING" VALUE="C"/>
            <printer_id TYPE="STRING" VALUE="HP-LaserJet_2200"/>
            <gs_driver TYPE="STRING" VALUE="pxlmono"/>
            <foomatic_defaults ANONYMOUS="TRUE" TYPE="LIST">
              </foomatic_defaults>
            </filter_data>
          <filter_type TYPE="STRING" VALUE="MAGICFILTER"/>
          </SMBprinter>
        </print_queues>
      <default_queue TYPE="STRING" VALUE="SMBprinter"/>
      </printconf>
    </datatree>
  </adm_context>
Comment 3 Tim Waugh 2003-03-12 12:18:17 EST
You have an incorrect value for the share: HPLJ-2200 needs to be
//machinename/HPLJ-2200, whatever machinename is for that machine.  The
documentation gives an example.

Note You need to log in before you can comment on or make changes to this bug.